Name:           efl
Version:        1.13.2
Release:        1%{?dist}
Summary:        Enlightenment Fundament Library

License:        BSD and GPLv2 and LGPLv2 and zlib
URL:            https://www.enlightenment.org/
Source0:        http://download.enlightenment.org/rel/libs/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  doxygen openssl-devel libjpeg-turbo-devel luajit-devel
BuildRequires:  freetype-devel fontconfig-devel SDL2-devel fribidi-devel
BuildRequires:  giflib-devel libtiff-devel glib2-devel libpng-devel
BuildRequires:  gstreamer1-plugins-base-devel dbus-devel pulseaudio-libs-devel
BuildRequires:  libsndfile-devel libXcomposite-devel libXp-devel libXtst-devel
BuildRequires:  libmount-devel bullet-devel libXScrnSaver-devel libgbm-devel

# Extra's BuildRequires:
BuildRequires:  systemd-devel harfbuzz-devel
BuildRequires:  openjpeg-devel libwebp-devel
BuildRequires:  libinput-devel


# This patch is required as there is a problem in tslib, its pkg-config is bad
# The patch change the name of the lib during its detection
BuildRequires:  automake autoconf tslib-devel
Patch0:         efl-fix-tslib-pkg-config.patch

Provides:       emotion = %{version}, ethumb = %{version}, ecore = %{version}
Provides:       edje = %{version}, eet = %{version}, efreet = %{version}
Provides:       libeina = %{version}, embryo = %{version}, eeze = %{version}
Provides:       eio = %{version}, evas = %{version}, e_dbus = %{version}
Obsoletes:      e_dbus < 1.8
Obsoletes:      ecore < 1.8
Obsoletes:      edje < 1.8
Obsoletes:      eet < 1.8
Obsoletes:      eeze < 1.8
Obsoletes:      efreet < 1.8
Obsoletes:      eio < 1.8
Obsoletes:      embryo < 1.8
Obsoletes:      emotion < 1.8
Obsoletes:      ethumb < 1.8
Obsoletes:      evas < 1.8
Obsoletes:      libeina < 1.8

%description
EFL is a collection of libraries for handling many common task a developer may
have such as data structures, communication, rendering, widgets and more.

There are many components inside EFL. They also build various things like shared
libraries, loadable plug-in modules and also binary executable.

%package devel
Summary:        Headers and binaries need to build EFL components
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libXcomposite-devel libXp-devel libXtst-devel libXScrnSaver-devel
Requires:       libXcursor-devel libXdamage-devel libXinerama-devel
Requires:       libXrandr-devel libXrender-devel libjpeg-turbo-devel

%description devel
Headers and binaries needed to build EFL components.

%prep
%setup -q
%patch0 -p1
autoreconf

%build
%configure --enable-systemd        \
        --enable-wayland           \
	--enable-xinput22          \
	--enable-multisense        \
        --enable-drm               \
        --enable-drm-hw-accel      \
        --enable-harfbuzz          \
        --enable-egl               \
        --enable-title-rotate      \
        --enable-image-loader-jp2k \
        --enable-image-loader-webp \
        --enable-harfbuzz          \
        --enable-v4l2
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files -f %{name}.lang
%doc README NEWS COPYING COMPLIANCE ChangeLog AUTHORS ABOUT-NLS
%{_bindir}/diffeet
%{_bindir}/ecore_evas_convert
%{_bindir}/edje_*
%{_bindir}/eet
%{_bindir}/eeze_*
%{_bindir}/efreetd
%{_bindir}/eina-bench-cmp
%{_bindir}/eldbus-codegen
%{_bindir}/elua
%{_bindir}/embryo_cc
%{_bindir}/eolian_cxx
%{_bindir}/eolian_gen
%{_bindir}/ethumb*
%{_bindir}/evas_cserve2_*
%{_bindir}/vieet
%{_libdir}/lib*.so.*
%{_libdir}/ecore
%{_libdir}/ecore_evas
%{_libdir}/ecore_imf
%{_libdir}/ecore_x
%{_libdir}/edje
%{_libdir}/eeze
%{_libdir}/efreet
%{_libdir}/emotion
%{_libdir}/ethumb
%{_libdir}/ethumb_client
%{_libdir}/evas
%{_prefix}/lib/systemd/user/efreet.service
%{_prefix}/lib/systemd/user/ethumb.service
%{_datadir}/ecore
%{_datadir}/ecore_imf
%{_datadir}/ecore_x
%{_datadir}/edje
%{_datadir}/eeze
%{_datadir}/efreet
%{_datadir}/elua
%{_datadir}/embryo
%{_datadir}/emotion
%{_datadir}/eo
%{_datadir}/eolian
%{_datadir}/ethumb
%{_datadir}/ethumb_client
%{_datadir}/evas
%{_datadir}/mime/packages/edje.xml
%{_datadir}/dbus-1/services/org.enlightenment.Efreet.service
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service

%files devel
%{_includedir}/ecore-1
%{_includedir}/ecore-audio-1
%{_includedir}/ecore-audio-cxx-1
%{_includedir}/ecore-avahi-1
%{_includedir}/ecore-con-1
%{_includedir}/ecore-cxx-1
%{_includedir}/ecore-drm-1
%{_includedir}/ecore-evas-1
%{_includedir}/ecore-file-1
%{_includedir}/ecore-imf-1
%{_includedir}/ecore-imf-evas-1
%{_includedir}/ecore-input-1
%{_includedir}/ecore-input-evas-1
%{_includedir}/ecore-ipc-1
%{_includedir}/ecore-wayland-1
%{_includedir}/ecore-x-1
%{_includedir}/edje-1
%{_includedir}/edje-cxx-1
%{_includedir}/eet-1
%{_includedir}/eet-cxx-1
%{_includedir}/eeze-1
%{_includedir}/efl-1
%{_includedir}/efl-cxx-1
%{_includedir}/efreet-1
%{_includedir}/eina-1
%{_includedir}/eina-cxx-1
%{_includedir}/eio-1
%{_includedir}/eldbus-1
%{_includedir}/eldbus_cxx-1
%{_includedir}/elocation-1
%{_includedir}/elua-1
%{_includedir}/embryo-1
%{_includedir}/emotion-1
%{_includedir}/eo-1
%{_includedir}/eo-cxx-1
%{_includedir}/eolian-1
%{_includedir}/eolian-cxx-1
%{_includedir}/ephysics-1
%{_includedir}/ethumb-1
%{_includedir}/ethumb-client-1
%{_includedir}/evas-1
%{_includedir}/evas-cxx-1
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/cmake/Ecore
%{_libdir}/cmake/Edje
%{_libdir}/cmake/Eet
%{_libdir}/cmake/Eeze
%{_libdir}/cmake/Efreet
%{_libdir}/cmake/Efl
%{_libdir}/cmake/Eina
%{_libdir}/cmake/Eldbus
%{_libdir}/cmake/Elua
%{_libdir}/cmake/Emotion
%{_libdir}/cmake/Eo
%{_libdir}/cmake/Ethumb
%{_libdir}/cmake/EthumbClient
%{_libdir}/cmake/Evas
%{_libdir}/cmake/EcoreCxx
%{_libdir}/cmake/EetCxx
%{_libdir}/cmake/EinaCxx
%{_libdir}/cmake/EoCxx
%{_libdir}/cmake/Eolian
%{_libdir}/cmake/EolianCxx
%{_libdir}/cmake/EvasCxx
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gdb/auto-load/%{_libdir}/libeo.so.%{version}-gdb.*

%changelog
* Mon May  4 2015 Benoît Marcelin <sereinit@fedoraproject.com> 1.13.2-1
- Upgrade to 1.13.2

* Sat Feb 28 2015 Benoît Marcelin <sereinit@fedoraproject.com> 1.13.1-1
- Upgrade to 1.13.1

* Tue Feb 10 2015 Benoît Marcelin <sereinit@fedoraproject.com> 1.13.0-1
- Upgrade to 1.13.0
- Remove distinction between F21 and others, EFL requires F≥21

* Wed Jan 28 2015 Benoît Marcelin <sereinit@fedoraproject.com> 1.12.3-1
- Upgrade to 1.12.3

* Mon Dec 15 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.12.2-1
- Upgrade to 1.12.2

* Wed Dec 10 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.12.1-1
- Upgrade to 1.12.1

* Tue Nov 11 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.12.0-1
- Upgrade to 1.12.0

* Sat Nov 8 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.12.0-beta2-2
- Fix a bug on evas obsolescence

* Sun Nov 2 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.12.0-beta2-1
- Upgrade to 1.12.0-beta2

* Tue Oct 28 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.11.4-1
- Upgrade to 1.11.4

* Tue Sep 23 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.11.2-1
- Upgrade to 1.11.2
- Remove some unused build options and add some other
- Cleanup buildrequires
- Linted

* Thu May  1 2014 Benoît Marcelin <sereinit@fedoraproject.com> 1.9.3-1
- Initial spec for the new EFL, which merge a lot of packages (see Obselets)
